com.aliyun.svideosdk.common.struct.template

## Class AliyunTemplate

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.template.AliyunTemplate

-     public class AliyunTemplate
      extends java.lang.Object

  sdk version >= v3.27.0

  template

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunEditorProject` | `createEditorProject(Context context, java.util.List<AliyunClip> list)` Generate template project。
    `Source` | `getCover()` Gets the template cover.
    `java.util.List<AliyunTemplateParam>` | `getImportParams()` Gets the import params.
    `java.util.List<AliyunTemplateParam>` | `getParams()` Gets the template params.
    `java.lang.String` | `getPath()` Gets the template path.
    `Source` | `getProject()` Gets the template project.
    `java.lang.String` | `getTemplateId()` Gets template id.
    `java.lang.String` | `getTitle()` Gets the template title.
    `int` | `getVersion()` Gets the template version.
    `Source` | `getVideo()` Gets the template video.
    `void` | `setCover(Source cover)` Sets the template cover.
    `void` | `setPath(java.lang.String path)` Sets the template path.
    `void` | `setProject(Source project)` Sets the template project.
    `void` | `setTemplateId(java.lang.String templateId)` Sets template id.
    `void` | `setTitle(java.lang.String title)` Sets the template title.
    `void` | `setVersion(int version)` Sets the template version.
    `void` | `setVideo(Source video)` Sets the template video.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILENAME

          public static final java.lang.String FILENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AliyunTemplate

          public AliyunTemplate()

  - ### Method Detail

    - #### getVersion

          public int getVersion()

      Gets the template version.
      Returns:
        template version

    - #### setVersion

          public void setVersion(int version)

      Sets the template version.
      Parameters:
        `version` -

    - #### getTemplateId

          public java.lang.String getTemplateId()

      Gets template id.
      Returns:

    - #### setTemplateId

          public void setTemplateId(java.lang.String templateId)

      Sets template id.
      Parameters:
        `templateId` - template id

    - #### getTitle

          public java.lang.String getTitle()

      Gets the template title.
      Returns:
        template title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the template title.
      Parameters:
        `title` - template title

    - #### getCover

          public Source getCover()

      Gets the template cover.
      Returns:
        template cover

    - #### setCover

          public void setCover(Source cover)

      Sets the template cover.
      Parameters:
        `cover` - template cover

    - #### getVideo

          public Source getVideo()

      Gets the template video.
      Returns:
        template video

    - #### setVideo

          public void setVideo(Source video)

      Sets the template video.
      Parameters:
        `video` - template video

    - #### getProject

          public Source getProject()

      Gets the template project.
      Returns:
        template project

    - #### setProject

          public void setProject(Source project)

      Sets the template project.
      Parameters:
        `project` - template project

    - #### getParams

          public java.util.List<AliyunTemplateParam> getParams()

      Gets the template params.
      Returns:
        template params

    - #### getPath

          public java.lang.String getPath()

      Gets the template path.
      Returns:
        template path

    - #### setPath

          public void setPath(java.lang.String path)

      Sets the template path.
      Parameters:
        `path` - template path

    - #### getImportParams

          public java.util.List<AliyunTemplateParam> getImportParams()

      Gets the import params.
      Returns:
        template params list

    - #### createEditorProject

          public AliyunEditorProject createEditorProject(Context context,
                                                         java.util.List<AliyunClip> list)

      Generate template project。
      Parameters:
        `context` - context
        `list` - clip list
      Returns:
        editor project